python-module-cffi-1.12.3-alt1.i586.rpm


Advertisement

Description

python-module-cffi - Foreign Function Interface for Python calling C code

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename python-module-cffi-1.12.3-alt1.i586.rpm
Package name python-module-cffi
Package version 1.12.3
Package release alt1
Package architecture i586
Package type rpm
Category Development/Python
Homepage -
License -
Maintainer -
Download size 1.06 MB
Installed size 1.06 MB
Foreign Function Interface for Python calling C code.

Alternatives

Package Version Architecture Repository
python-module-cffi-1.12.3-alt1.x86_64.rpm 1.12.3 x86_64 Classic
python-module-cffi - - -

Requires

Name Value
/usr/lib/python2.7/site-packages -
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libffi.so.6 -
libpthread.so.0(GLIBC_2.0) -
libpython2.7.so.1.0 -
python-modules -
python2.7(ctypes) -
python2.7(pycparser) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
python-module-cffi = 1.12.3-alt1:sisyphus+229040.200.3.1
python2.7(_cffi_backend) -
python2.7(cffi) -
python2.7(cffi.api) -
python2.7(cffi.backend_ctypes) -
python2.7(cffi.cffi_opcode) -
python2.7(cffi.commontypes) -
python2.7(cffi.cparser) -
python2.7(cffi.error) -
python2.7(cffi.ffiplatform) -
python2.7(cffi.lock) -
python2.7(cffi.model) -
python2.7(cffi.pkgconfig) -
python2.7(cffi.recompiler) -
python2.7(cffi.setuptools_ext) -
python2.7(cffi.vengine_cpy) -
python2.7(cffi.vengine_gen) -
python2.7(cffi.verifier) -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package python-module-cffi-1.12.3-alt1.i586.rpm
Source Package python-module-cffi-1.12.3-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python-module-cffi rpm package:
    # sudo apt-get install python-module-cffi

Files

Path
/usr/lib/python2.7/site-packages/_cffi_backend.so
/usr/lib/python2.7/site-packages/cffi/__init__.py
/usr/lib/python2.7/site-packages/cffi/__init__.pyc
/usr/lib/python2.7/site-packages/cffi/__init__.pyo
/usr/lib/python2.7/site-packages/cffi/_cffi_errors.h
/usr/lib/python2.7/site-packages/cffi/_cffi_include.h
/usr/lib/python2.7/site-packages/cffi/_embedding.h
/usr/lib/python2.7/site-packages/cffi/api.py
/usr/lib/python2.7/site-packages/cffi/api.pyc
/usr/lib/python2.7/site-packages/cffi/api.pyo
/usr/lib/python2.7/site-packages/cffi/backend_ctypes.py
/usr/lib/python2.7/site-packages/cffi/backend_ctypes.pyc
/usr/lib/python2.7/site-packages/cffi/backend_ctypes.pyo
/usr/lib/python2.7/site-packages/cffi/cffi_opcode.py
/usr/lib/python2.7/site-packages/cffi/cffi_opcode.pyc
/usr/lib/python2.7/site-packages/cffi/cffi_opcode.pyo
/usr/lib/python2.7/site-packages/cffi/commontypes.py
/usr/lib/python2.7/site-packages/cffi/commontypes.pyc
/usr/lib/python2.7/site-packages/cffi/commontypes.pyo
/usr/lib/python2.7/site-packages/cffi/cparser.py
/usr/lib/python2.7/site-packages/cffi/cparser.pyc
/usr/lib/python2.7/site-packages/cffi/cparser.pyo
/usr/lib/python2.7/site-packages/cffi/error.py
/usr/lib/python2.7/site-packages/cffi/error.pyc
/usr/lib/python2.7/site-packages/cffi/error.pyo
/usr/lib/python2.7/site-packages/cffi/ffiplatform.py
/usr/lib/python2.7/site-packages/cffi/ffiplatform.pyc
/usr/lib/python2.7/site-packages/cffi/ffiplatform.pyo
/usr/lib/python2.7/site-packages/cffi/lock.py
/usr/lib/python2.7/site-packages/cffi/lock.pyc
/usr/lib/python2.7/site-packages/cffi/lock.pyo
/usr/lib/python2.7/site-packages/cffi/model.py
/usr/lib/python2.7/site-packages/cffi/model.pyc
/usr/lib/python2.7/site-packages/cffi/model.pyo
/usr/lib/python2.7/site-packages/cffi/parse_c_type.h
/usr/lib/python2.7/site-packages/cffi/pkgconfig.py
/usr/lib/python2.7/site-packages/cffi/pkgconfig.pyc
/usr/lib/python2.7/site-packages/cffi/pkgconfig.pyo
/usr/lib/python2.7/site-packages/cffi/recompiler.py
/usr/lib/python2.7/site-packages/cffi/recompiler.pyc
/usr/lib/python2.7/site-packages/cffi/recompiler.pyo
/usr/lib/python2.7/site-packages/cffi/setuptools_ext.py
/usr/lib/python2.7/site-packages/cffi/setuptools_ext.pyc
/usr/lib/python2.7/site-packages/cffi/setuptools_ext.pyo
/usr/lib/python2.7/site-packages/cffi/vengine_cpy.py
/usr/lib/python2.7/site-packages/cffi/vengine_cpy.pyc
/usr/lib/python2.7/site-packages/cffi/vengine_cpy.pyo
/usr/lib/python2.7/site-packages/cffi/vengine_gen.py
/usr/lib/python2.7/site-packages/cffi/vengine_gen.pyc
/usr/lib/python2.7/site-packages/cffi/vengine_gen.pyo
/usr/lib/python2.7/site-packages/cffi/verifier.py
/usr/lib/python2.7/site-packages/cffi/verifier.pyc
/usr/lib/python2.7/site-packages/cffi/verifier.pyo
/usr/lib/python2.7/site-packages/cffi-1.12.3-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/cffi-1.12.3-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/cffi-1.12.3-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/cffi-1.12.3-py2.7.egg-info/entry_points.txt
/usr/lib/python2.7/site-packages/cffi-1.12.3-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/cffi-1.12.3-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/cffi-1.12.3-py2.7.egg-info/top_level.txt

Changelog

2019-05-06 - Stanislav Levin <slev@altlinux.org> 1.12.3-alt1
- 1.10.0 -> 1.12.3.
- Enabled testing.
2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.10.0-alt1.1
- (NMU) Rebuilt with python-3.6.4.
2017-06-08 - Vladimir Didenko <cow@altlinux.ru> 1.10.0-alt1
- Version 1.10.0
2016-03-17 - Ivan Zakharyaschev <imz@altlinux.org> 1.4.2-alt1.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
(for ABI dependence and new python3(*) reqs)
2016-01-10 - Vladimir Didenko <cow@altlinux.ru> 1.4.2-alt1
- Version 1.4.2
2015-08-03 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt1
- Version 1.1.2
2014-08-04 - Lenar Shakirov <snejok@altlinux.ru> 0.8.6-alt2
- python{3,}-module-pycparser added to Requires
- Because find-requires script /usr/lib/rpm/python3.req.py says:
* cffi/cparser.py: line=2 possible relative import from ., UNIMPLEMENTED
2014-07-11 - Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt1
- new version 0.8.6 (with rpmrb script) (ALT bug #30174)
2014-07-11 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6-alt3
- Added module for Python3
2013-04-08 - Vitaly Lipatov <lav@altlinux.ru> 0.6-alt2
- fix packing

See Also

Package Description
python-module-cgraph-20110131-alt1.1.i586.rpm High performance Directed Acyclic Graph implemented in Cython
python-module-chempy-2.3.0-alt1.i586.rpm Application in Python which is meant to help in learning chemistry
python-module-cjson-1.1.0-alt1.i586.rpm Fast JSON encoder/decoder for Python
python-module-clearsilver-0.10.5-alt1.2.i586.rpm Neotonic ClearSilver Python Module
python-module-cmemcache-0.95-alt0.2.i586.rpm A python module for memcached daemon
python-module-cobs-1.0.0-alt1.1.1.1.i586.rpm Consistent Overhead Byte Stuffing (COBS)
python-module-cobs-tests-1.0.0-alt1.1.1.1.i586.rpm Tests for cobs
python-module-collective-1.1.3-alt1.1.i586.rpm Core files of collective
python-module-collective.js-1.0.1-alt2.dev0.git20130408.1.1.i586.rpm Core files of collective.js
python-module-collective.js.extjs-1.3-alt1.dev0.git20130324.1.1.i586.rpm ExtJS integration for Plone
python-module-collective.js.jqsmartTruncation-1.0.1-alt1.dev0.git20120507.1.1.i586.rpm This Package provides smart truncation
python-module-collective.js.knockout-3.2.1-alt1.dev0.git20141027.1.1.i586.rpm knockout.js integration for Plone
python-module-collective.js.showmore-1.0-alt1.a4.1.i586.rpm JS add-on to show/hide parts of a page
python-module-collective.js.showmore-tests-1.0-alt1.a4.1.i586.rpm Tests for collective.js.showmore
python-module-collective.js.speakjs-1.0.1-alt2.dev0.git20130408.1.1.i586.rpm Text-to-Speech in JavaScript using eSpeak
Advertisement
Advertisement